Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.expression.spel
Class MessageSourcePropertyAccessor

    java.lang.Object
      org.springframework.webflow.expression.spel.MessageSourcePropertyAccessor

All Implemented Interfaces:
  org.springframework.expression.PropertyAccessor

    public class MessageSourcePropertyAccessor

extends java.lang.Object
implements org.springframework.expression.PropertyAccessor

Spring EL PropertyAccessor that resolves messages from the `MessageSource` of the active Flow. The message source itself is accessible through the "resourceBundle" variable (see `FlowVariablePropertyAccessor`). To access a specific message use its key in one of the following ways:

     resourceBundle.myErrorCode
     resourceBundle['myErrorCode']

Since:
  2.1
Author:
  Rossen Stoyanchev

Constructor Summary
`MessageSourcePropertyAccessor()`

Method Summary
`boolean` | `canRead(org.springframework.expression.EvaluationContext context, java.lang.Object target, java.lang.String name)`
`boolean` | `canWrite(org.springframework.expression.EvaluationContext context, java.lang.Object target, java.lang.String name)`
`java.lang.Class[]` | `getSpecificTargetClasses()`
`org.springframework.expression.TypedValue` | `read(org.springframework.expression.EvaluationContext context, java.lang.Object target, java.lang.String name)`
`void` | `write(org.springframework.expression.EvaluationContext context, java.lang.Object target, java.lang.String name, java.lang.Object newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageSourcePropertyAccessor

    public MessageSourcePropertyAccessor()

Method Detail

### getSpecificTargetClasses

    public java.lang.Class[] getSpecificTargetClasses()

  Specified by:
    `getSpecificTargetClasses` in interface `org.springframework.expression.PropertyAccessor`

### canRead

    public boolean canRead(org.springframework.expression.EvaluationContext context,
                           java.lang.Object target,
                           java.lang.String name)
                    throws org.springframework.expression.AccessException

  Specified by:
    `canRead` in interface `org.springframework.expression.PropertyAccessor`
  Throws:
    `org.springframework.expression.AccessException`

### read

    public org.springframework.expression.TypedValue read(org.springframework.expression.EvaluationContext context,
                                                          java.lang.Object target,
                                                          java.lang.String name)
                                                   throws org.springframework.expression.AccessException

  Specified by:
    `read` in interface `org.springframework.expression.PropertyAccessor`
  Throws:
    `org.springframework.expression.AccessException`

### canWrite

    public boolean canWrite(org.springframework.expression.EvaluationContext context,
                            java.lang.Object target,
                            java.lang.String name)
                     throws org.springframework.expression.AccessException

  Specified by:
    `canWrite` in interface `org.springframework.expression.PropertyAccessor`
  Throws:
    `org.springframework.expression.AccessException`

### write

    public void write(org.springframework.expression.EvaluationContext context,
                      java.lang.Object target,
                      java.lang.String name,
                      java.lang.Object newValue)
               throws org.springframework.expression.AccessException

  Specified by:
    `write` in interface `org.springframework.expression.PropertyAccessor`
  Throws:
    `org.springframework.expression.AccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD